v4.0
get
/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/shipments/{shipmentId}/eligible-kits
Searches for kits by kit type or shipment details. Rights: OrsInventoryGet, OrsUnblinded. Added additional field kitNumberUTF in the response
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
89EE76326E984B548D594D592E5C7FC2 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters
-
kitTypeId(required): string(uuid)
ID of the kit type.Example:
9B83BFB48C5A41C59775E4D8D22D8B26 -
limit: string
Maximum number of records to display per page.Default Value:
100Example:100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0Example:0 -
searchString(required): string
Search string.Example:
KIT
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentEligibleKitsResponse
Type:
Show Source
object-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
kits: array
kits
Response object containing kits belonging to shipment.
-
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
shipmentId: string
(uuid)
Shipment Id.
-
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : kits
Type:
arrayResponse object containing kits belonging to shipment.
Show Source
-
Array of:
object ShipmentEligibleKitTO v1.0
Title:
ShipmentEligibleKitTO v1.0Contains kit details belonging to shipment.
Example:
[
{
"id":"D313327EF13845169A8ADADDA435431E",
"kitNumber":1001,
"sequenceNumber":1001,
"kitTypeName":"Kit A",
"expirationDate":"2026-12-31T00:00:00Z",
"kitNumberUTF":"KIT-1001",
"srcId":"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA",
"lotId":"BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB",
"lotNumber":"LOT-001",
"quantity":1
}
]Nested Schema : ShipmentEligibleKitTO v1.0
Type:
objectTitle:
ShipmentEligibleKitTO v1.0Contains kit details belonging to shipment.
Show Source
-
expirationDate: string
(date-time)
Expiration date.Example:
2025-05-09T00:00:00Z -
id: string
(uuid)
Inventory ID.
-
kitNumber: number
(double)
Kit/Lot number.Example:
5 -
kitNumberUTF: string
Kit number in UTF-8 format.Example:
12345ab -
kitTypeName: string
Kit type name.Example:
Kit A -
lotId: string
(uuid)
ID of the lot.
-
lotNumber: string
Manufacturing lot number.Example:
12345ab -
quantity: number
(double)
Quantity of kits.Example:
5 -
sequenceNumber: number
(double)
Sequence number.Example:
5 -
srcId: string
(uuid)
Kit type source ID.
Example:
{
"id":"D313327EF13845169A8ADADDA435431E",
"kitNumber":1001,
"sequenceNumber":1001,
"kitTypeName":"Kit A",
"expirationDate":"2026-12-31T00:00:00Z",
"kitNumberUTF":"KIT-1001",
"srcId":"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA",
"lotId":"BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB",
"lotNumber":"LOT-001",
"quantity":1
}Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
Examples
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples